# Radium

An element styling UI framework for React.

Radium is a highly configurable toolkit for building large-scale web
applications with React and element styling. Element styling in React provides a
number of benefits over traditional CSS:

- Scoped styles, meaning no more global variables
- Avoids specificity conflicts
- Source order independence
- Dead code elimination
- Highly expressive

Radium uses these benefits to create UI components to get you running quickly.
It can be used out of the box for prototypes and experiments, or themed and
customized to fit any design language.

It provides reusable components and tools for your own element styling.

Inspired by <a href="https://speakerdeck.com/vjeux/react-css-in-js">React: CSS
in JS</a> by <a href="https://twitter.com/Vjeux">Christopher Chedeau</a>.

## What's Included

- Shared Styles
  - Color
  - Typography
- UI Components
  - Button
  - Form controls
  - Responsive grid system
  - More coming soon!
- Styling Utilities
  - Pseudo-selector support
  - Media query support
